import hljs from 'highlight.js';

const VueHighlight = {
  install(vue) {
    vue.directive("highlight", (el, binding) => {
      highlight(el, binding);
    });
  }
};
function highlight(el, binding) {
  if (el.tagName !== "CODE") {
    let blocks = el.querySelectorAll("code");
    blocks.forEach((block) => {
      highlight(block, binding);
    });
  } else {
    if (typeof binding.value === "string") {
      el.textContent = binding.value;
    }
    hljs.highlightElement(el);
  }
}

export { VueHighlight, highlight };
